import { SimpleLocalClient } from '../../core/index.js';
import type { IEgaugeConfig } from './egauge.types.js';
import { egaugeProfile } from './egauge.types.js';

export class EgaugeClient extends SimpleLocalClient<IEgaugeConfig> {
  constructor(configArg: IEgaugeConfig) {
    super(egaugeProfile, configArg);
  }
}
